Package com.sas.metadata.remote

# Interface PSPortalPage

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface PSPortalPage extends PrimaryType
A PortalPage gathers and displays information in the Portal, and can be customized.

Attributes of PSPortalPage are:

- `PreferredWidth`
- `PreferredHeight`
- `NumberOfColumns`
- `Type`
- `NumberOfRows`

Associations of PSPortalPage are:

- `LayoutComponents`
- `PageProfiles`

## Usage

To create an instance of this PSPortalPage, use the `factory` create methods.
Example: create a PSPortalPage with name "PSPortalPage_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     PSPortalPage myObject = (PSPortalPage) factory.createComplexMetadataObject(objectStore, "PSPortalPage_Object", MetadataObjects.PSPORTALPAGE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_LAYOUTCOMPONENTS_NAME`
  Constant used for the name of the LayoutComponents association.
  `static final String`
  `ASSOCIATION_PAGEPROFILES_NAME`
  Constant used for the name of the PageProfiles association.
  `static final String`
  `ATTRIBUTE_NUMBEROFCOLUMNS_NAME`
  Constant used for the name of the NumberOfColumns attribute.
  `static final String`
  `ATTRIBUTE_NUMBEROFROWS_NAME`
  Constant used for the name of the NumberOfRows attribute.
  `static final String`
  `ATTRIBUTE_PREFERREDHEIGHT_NAME`
  Constant used for the name of the PreferredHeight attribute.
  `static final String`
  `ATTRIBUTE_PREFERREDWIDTH_NAME`
  Constant used for the name of the PreferredWidth attribute.
  `static final String`
  `ATTRIBUTE_TYPE_NAME`
  Constant used for the name of the Type attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getLayoutComponents()`
  Gets the Association list of `LayoutComponents`
  `AssociationList`
  `getLayoutComponents(boolean fGoToServer)`
  Gets the Associationlist of `LayoutComponents`
  `double`
  `getNumberOfColumns()`
  Gets the `double` value of `NumberOfColumns`
  `int`
  `getNumberOfColumnsState()`
  Gets the Metadata State of `NumberOfColumns`
  `double`
  `getNumberOfRows()`
  Gets the `double` value of `NumberOfRows`
  `int`
  `getNumberOfRowsState()`
  Gets the Metadata State of `NumberOfRows`
  `AssociationList`
  `getPageProfiles()`
  Gets the Association list of `PageProfiles`
  `AssociationList`
  `getPageProfiles(boolean fGoToServer)`
  Gets the Associationlist of `PageProfiles`
  `String`
  `getPreferredHeight()`
  Gets the `String` value of `PreferredHeight`
  `int`
  `getPreferredHeightMaxLength()`
  Gets the maximum length of `PreferredHeight`
  `int`
  `getPreferredHeightState()`
  Gets the Metadata State of `PreferredHeight`
  `String`
  `getPreferredWidth()`
  Gets the `String` value of `PreferredWidth`
  `int`
  `getPreferredWidthMaxLength()`
  Gets the maximum length of `PreferredWidth`
  `int`
  `getPreferredWidthState()`
  Gets the Metadata State of `PreferredWidth`
  `String`
  `getType()`
  Gets the `String` value of `Type`
  `int`
  `getTypeMaxLength()`
  Gets the maximum length of `Type`
  `int`
  `getTypeState()`
  Gets the Metadata State of `Type`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setLayoutComponents(AssociationList list)`
  Sets the `LayoutComponents` list to be `list`.
  `void`
  `setLayoutComponents(AssociationList inObjects, int state)`
  Sets the entire LayoutComponents list to match the passed in AssociationList, sets the state of the LayoutComponents
  `void`
  `setNumberOfColumns(double inNumberOfColumns)`
  Sets the `NumberOfColumns` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNumberOfColumns(double inNumberOfColumns, int state)`
  Sets the `NumberOfColumns` Metadata State.
  `void`
  `setNumberOfColumns(String inNumberOfColumns)`
  Sets the `NumberOfColumns` value and sets the state to MetadataState.LOCAL
  `void`
  `setNumberOfColumns(String inNumberOfColumns, int state)`
  Sets the `NumberOfColumns` value and Metadata State.
  `void`
  `setNumberOfColumnsState(int state)`
  Sets the Metadata State of `NumberOfColumns`.
  `void`
  `setNumberOfRows(double inNumberOfRows)`
  Sets the `NumberOfRows` value and sets the state to MetadataState.LOCAL.
  `void`
  `setNumberOfRows(double inNumberOfRows, int state)`
  Sets the `NumberOfRows` Metadata State.
  `void`
  `setNumberOfRows(String inNumberOfRows)`
  Sets the `NumberOfRows` value and sets the state to MetadataState.LOCAL
  `void`
  `setNumberOfRows(String inNumberOfRows, int state)`
  Sets the `NumberOfRows` value and Metadata State.
  `void`
  `setNumberOfRowsState(int state)`
  Sets the Metadata State of `NumberOfRows`.
  `void`
  `setPageProfiles(AssociationList list)`
  Sets the `PageProfiles` list to be `list`.
  `void`
  `setPageProfiles(AssociationList inObjects, int state)`
  Sets the entire PageProfiles list to match the passed in AssociationList, sets the state of the PageProfiles
  `void`
  `setPreferredHeight(String inPreferredHeight)`
  Sets the `PreferredHeight` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPreferredHeight(String inPreferredHeight, int state)`
  Sets the `PreferredHeight` Metadata State.
  `void`
  `setPreferredHeightState(int state)`
  Sets the Metadata State of `PreferredHeight`.
  `void`
  `setPreferredWidth(String inPreferredWidth)`
  Sets the `PreferredWidth` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPreferredWidth(String inPreferredWidth, int state)`
  Sets the `PreferredWidth` Metadata State.
  `void`
  `setPreferredWidthState(int state)`
  Sets the Metadata State of `PreferredWidth`.
  `void`
  `setType(String inType)`
  Sets the `Type` value and sets the state to MetadataState.LOCAL.
  `void`
  `setType(String inType, int state)`
  Sets the `Type` Metadata State.
  `void`
  `setTypeState(int state)`
  Sets the Metadata State of `Type`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_PREFERREDWIDTH_NAME

    static final String ATTRIBUTE_PREFERREDWIDTH_NAME
    Constant used for the name of the PreferredWidth attribute.

    PreferredWidth: The preferred width of the page. Units are site implementation specific.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_PREFERREDHEIGHT_NAME

    static final String ATTRIBUTE_PREFERREDHEIGHT_NAME
    Constant used for the name of the PreferredHeight attribute.

    PreferredHeight: The preferred height of the page. Units are site implementation specific.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NUMBEROFCOLUMNS_NAME

    static final String ATTRIBUTE_NUMBEROFCOLUMNS_NAME
    Constant used for the name of the NumberOfColumns attribute.

    NumberOfColumns: The number of columns that the Page has.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_TYPE_NAME

    static final String ATTRIBUTE_TYPE_NAME
    Constant used for the name of the Type attribute.

    Type: The type of PortalPage designates the general UI capabilities of the page, such as Column or Grid.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_NUMBEROFROWS_NAME

    static final String ATTRIBUTE_NUMBEROFROWS_NAME
    Constant used for the name of the NumberOfRows attribute.

    NumberOfRows: The number of rows that the page has. This is optional for a PortalPage with a type of Column, but required for a PortalPage with a type of Grid.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_LAYOUTCOMPONENTS_NAME

    static final String ASSOCIATION_LAYOUTCOMPONENTS_NAME
    Constant used for the name of the LayoutComponents association.

    LayoutComponents: The LayoutComponent that specifies the UI layout of the PortalPage.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PAGEPROFILES_NAME

    static final String ASSOCIATION_PAGEPROFILES_NAME
    Constant used for the name of the PageProfiles association.

    PageProfiles: The portal profiles associated with this page.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredWidth

    String getPreferredWidth() throws RemoteException
    Gets the `String` value of `PreferredWidth`
    Returns:
      The `PreferredWidth`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredWidthState

    int getPreferredWidthState() throws RemoteException
    Gets the Metadata State of `PreferredWidth`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredWidthMaxLength

    int getPreferredWidthMaxLength() throws RemoteException
    Gets the maximum length of `PreferredWidth`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredHeight

    String getPreferredHeight() throws RemoteException
    Gets the `String` value of `PreferredHeight`
    Returns:
      The `PreferredHeight`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredHeightState

    int getPreferredHeightState() throws RemoteException
    Gets the Metadata State of `PreferredHeight`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPreferredHeightMaxLength

    int getPreferredHeightMaxLength() throws RemoteException
    Gets the maximum length of `PreferredHeight`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNumberOfColumns

    double getNumberOfColumns() throws RemoteException
    Gets the `double` value of `NumberOfColumns`
    Returns:
      The `NumberOfColumns`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNumberOfColumnsState

    int getNumberOfColumnsState() throws RemoteException
    Gets the Metadata State of `NumberOfColumns`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getType

    String getType() throws RemoteException
    Gets the `String` value of `Type`
    Returns:
      The `Type`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTypeState

    int getTypeState() throws RemoteException
    Gets the Metadata State of `Type`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getTypeMaxLength

    int getTypeMaxLength() throws RemoteException
    Gets the maximum length of `Type`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNumberOfRows

    double getNumberOfRows() throws RemoteException
    Gets the `double` value of `NumberOfRows`
    Returns:
      The `NumberOfRows`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getNumberOfRowsState

    int getNumberOfRowsState() throws RemoteException
    Gets the Metadata State of `NumberOfRows`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLayoutComponents

    AssociationList getLayoutComponents() throws RemoteException, MdException
    Gets the Association list of `LayoutComponents`
    Returns:
      The AssociationList of `LayoutComponents` which can be of type:
      PSLayoutComponent
      PSColumnLayoutComponent
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getPageProfiles

    AssociationList getPageProfiles() throws RemoteException, MdException
    Gets the Association list of `PageProfiles`
    Returns:
      The AssociationList of `PageProfiles` which can be of type:
      PSPortalProfile
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getLayoutComponents

    AssociationList getLayoutComponents(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `LayoutComponents`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `LayoutComponents` which can be of type:
      PSLayoutComponent
      PSColumnLayoutComponent
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getPageProfiles

    AssociationList getPageProfiles(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `PageProfiles`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `PageProfiles` which can be of type:
      PSPortalProfile
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setPreferredWidth

    void setPreferredWidth(String inPreferredWidth) throws RemoteException
    Sets the `PreferredWidth` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPreferredWidth` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPreferredWidth

    void setPreferredWidth(String inPreferredWidth, int state) throws RemoteException
    Sets the `PreferredWidth` Metadata State.
    Parameters:
      `inPreferredWidth` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPreferredWidthState

    void setPreferredWidthState(int state) throws RemoteException
    Sets the Metadata State of `PreferredWidth`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPreferredHeight

    void setPreferredHeight(String inPreferredHeight) throws RemoteException
    Sets the `PreferredHeight` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPreferredHeight` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPreferredHeight

    void setPreferredHeight(String inPreferredHeight, int state) throws RemoteException
    Sets the `PreferredHeight` Metadata State.
    Parameters:
      `inPreferredHeight` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPreferredHeightState

    void setPreferredHeightState(int state) throws RemoteException
    Sets the Metadata State of `PreferredHeight`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfColumns

    void setNumberOfColumns(double inNumberOfColumns) throws RemoteException
    Sets the `NumberOfColumns` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNumberOfColumns` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfColumns

    void setNumberOfColumns(double inNumberOfColumns, int state) throws RemoteException
    Sets the `NumberOfColumns` Metadata State.
    Parameters:
      `inNumberOfColumns` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfColumns

    void setNumberOfColumns(String inNumberOfColumns) throws RemoteException
    Sets the `NumberOfColumns` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inNumberOfColumns` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfColumns

    void setNumberOfColumns(String inNumberOfColumns, int state) throws RemoteException
    Sets the `NumberOfColumns` value and Metadata State.
    Parameters:
      `inNumberOfColumns` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfColumnsState

    void setNumberOfColumnsState(int state) throws RemoteException
    Sets the Metadata State of `NumberOfColumns`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setType

    void setType(String inType) throws RemoteException
    Sets the `Type` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setType

    void setType(String inType, int state) throws RemoteException
    Sets the `Type` Metadata State.
    Parameters:
      `inType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTypeState

    void setTypeState(int state) throws RemoteException
    Sets the Metadata State of `Type`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfRows

    void setNumberOfRows(double inNumberOfRows) throws RemoteException
    Sets the `NumberOfRows` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inNumberOfRows` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfRows

    void setNumberOfRows(double inNumberOfRows, int state) throws RemoteException
    Sets the `NumberOfRows` Metadata State.
    Parameters:
      `inNumberOfRows` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfRows

    void setNumberOfRows(String inNumberOfRows) throws RemoteException
    Sets the `NumberOfRows` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inNumberOfRows` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfRows

    void setNumberOfRows(String inNumberOfRows, int state) throws RemoteException
    Sets the `NumberOfRows` value and Metadata State.
    Parameters:
      `inNumberOfRows` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setNumberOfRowsState

    void setNumberOfRowsState(int state) throws RemoteException
    Sets the Metadata State of `NumberOfRows`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLayoutComponents

    void setLayoutComponents(AssociationList list) throws RemoteException
    Sets the `LayoutComponents` list to be `list`. Objects of which can be of type:
    PSLayoutComponent
    PSColumnLayoutComponent
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLayoutComponents

    void setLayoutComponents(AssociationList inObjects, int state) throws RemoteException
    Sets the entire LayoutComponents list to match the passed in AssociationList, sets the state of the LayoutComponents
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPageProfiles

    void setPageProfiles(AssociationList list) throws RemoteException
    Sets the `PageProfiles` list to be `list`. Objects of which can be of type:
    PSPortalProfile
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPageProfiles

    void setPageProfiles(AssociationList inObjects, int state) throws RemoteException
    Sets the entire PageProfiles list to match the passed in AssociationList, sets the state of the PageProfiles
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.